Package org.pushingpixels.substance.internal.colorscheme

# Class BlendBiColorScheme

java.lang.Object
org.pushingpixels.substance.api.colorscheme.BaseColorScheme
org.pushingpixels.substance.internal.colorscheme.BlendBiColorScheme

All Implemented Interfaces:
  `SchemeBaseColors`, `SchemeDerivedColors`, `SubstanceColorScheme`, `SubstanceTrait`

public class BlendBiColorScheme extends BaseColorScheme
Blended color scheme.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`derivedColorsResolver, displayName, isDark`

## Constructor Summary

Constructors
Constructor
Description
`BlendBiColorScheme(SubstanceColorScheme firstScheme, SubstanceColorScheme secondScheme, double firstSchemeLikeness)`
Creates a new blended color scheme.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getDarkColor()`
Retrieves the dark color.
`Color`
`getExtraLightColor()`
Retrieves the extra color.
`SubstanceColorScheme`
`getFirstScheme()`
Returns the main original color scheme.
`double`
`getFirstSchemeLikeness()`
Returns the likeness to the first scheme.
`Color`
`getForegroundColor()`
Retrieves the foreground color.
`Color`
`getLightColor()`
Retrieves the light color.
`Color`
`getMidColor()`
Retrieves the medium color.
`SubstanceColorScheme`
`getSecondScheme()`
Returns the secondary original color scheme.
`Color`
`getUltraDarkColor()`
Retrieves the ultra-dark color.
`Color`
`getUltraLightColor()`
Retrieves the ultra-light color.

### Methods inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`getBackgroundFillColor, getDisplayName, getFocusRingColor, getLineColor, getResolver, getSelectionBackgroundColor, getSelectionForegroundColor, getTextBackgroundFillColor, getWatermarkDarkColor, getWatermarkLightColor, getWatermarkStampColor, hueShift, invert, isDark, named, negate, saturate, shade, shift, shiftBackground, tint, tone, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BlendBiColorScheme

public BlendBiColorScheme(SubstanceColorScheme firstScheme, SubstanceColorScheme secondScheme, double firstSchemeLikeness)
Creates a new blended color scheme.

Parameters:
  `firstScheme` - The first original color scheme.
  `secondScheme` - The second original color scheme.
  `firstSchemeLikeness` - Likeness to the first scheme. Values close to 0.0 will create scheme that closely matches the second original scheme. Values close to 1.0 will create scheme that closely matches the second original scheme.

## Method Details

### getForegroundColor

public Color getForegroundColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the foreground color.

Returns:
  Foreground color.

### getUltraLightColor

public Color getUltraLightColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the ultra-light color.

Returns:
  Ultra-light color.

### getExtraLightColor

public Color getExtraLightColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the extra color.

Returns:
  Extra color.

### getLightColor

public Color getLightColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the light color.

Returns:
  Light color.

### getMidColor

public Color getMidColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the medium color.

Returns:
  Medium color.

### getDarkColor

public Color getDarkColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the dark color.

Returns:
  Dark color.

### getUltraDarkColor

public Color getUltraDarkColor()
Description copied from interface: `SchemeBaseColors`
Retrieves the ultra-dark color.

Returns:
  Ultra-dark color.

### getFirstSchemeLikeness

public double getFirstSchemeLikeness()
Returns the likeness to the first scheme.

Returns:
  Likeness to the first scheme

### getFirstScheme

public SubstanceColorScheme getFirstScheme()
Returns the main original color scheme.

Returns:
  The main original color scheme.

### getSecondScheme

public SubstanceColorScheme getSecondScheme()
Returns the secondary original color scheme.

Returns:
  The secondary original color scheme.